## libsdl3-ttf 3.1.0%2Bds

=== debian/tests/control ===
Tests: libsdl3-ttf-dev
Restrictions: allow-stderr, superficial
Depends:
 build-essential,
 cmake,
 file,
 fonts-cantarell,
 libsdl3-ttf-dev,
 ninja-build,
 pkgconf,
 xauth,
 xvfb,

## libsdl3-ttf 3.2.2+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16...3.28)

if(NOT DEFINED CMAKE_BUILD_TYPE)
  set(cmake_build_type_undefined 1)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

# See docs/release_checklist.md
set(MAJOR_VERSION 3)
set(MINOR_VERSION 2)
set(MICRO_VERSION 2)
set(SDL_REQUIRED_VERSION 3.2.6)

project(SDL3_ttf
    LANGUAGES C
    VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${MICRO_VERSION}"
)

include("${CMAKE_CURRENT_LIST_DIR}/cmake/GetGitRevisionDescription.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/PkgConfigHelper.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/PrivateSdlFunctions.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/sdlcpu.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/sdlplatform.cmake")
include("${CMAKE_CURRENT_LIST_DIR}/cmake/sdlmanpages.cmake")
sdl_calculate_derived_version_variables(${MAJOR_VERSION} ${MINOR_VERSION} ${MICRO_VERSION})

message(STATUS "Configuring ${PROJECT_NAME} ${PROJECT_VERSION}")

if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
    set(SDLTTF_ROOTPROJECT ON)
else()
    set(SDLTTF_ROOTPROJECT OFF)
endif()

# By default, configure in RelWithDebInfo configuration
if(SDLTTF_ROOTPROJECT)
  get_property(is_multi_config GLOBAL PROPERTY GENERATOR_IS_MULTI_CONFIG)
  if(is_multi_config)
    # The first item in CMAKE_CONFIGURATION_TYPES is the default configuration
    if(DEFINED CMAKE_CONFIGURATION_TYPES AND "RelWithDebInfo" IN_LIST CMAKE_CONFIGURATION_TYPES)
      list(REMOVE_ITEM CMAKE_CONFIGURATION_TYPES "RelWithDebInfo")
      list(INSERT CMAKE_CONFIGURATION_TYPES 0 "RelWithDebInfo")
      set(CMAKE_CONFIGURATION_TYPES "${CMAKE_CONFIGURATION_TYPES}" CACHE STRING "CMake configuration types" FORCE)
    endif()
  else()
    if(cmake_build_type_undefined)
      set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "CMake build type" FORCE)
    endif()
  endif()
endif()

# Assume MSVC projects don't have a package manager and need vendored dependencies (by default).
# Most other platforms have some kind of package manager.
# FIXME: consider a package manager such as conan/vcpkg instead of vendoring
if(ANDROID OR MSVC)
    set(vendored_default TRUE)
else()
    set(vendored_default FALSE)
endif()

set(sdl3ttf_install_enableable ON)
if ((TARGET SDL3-shared OR TARGET SDL3-static) AND SDL_DISABLE_INSTALL)
    # Cannot install SDL3_ttf when SDL3 is built in same built, and is not installed.
    set(sdl3ttf_install_enableable OFF)
endif()

include(CMakeDependentOption)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)
include(CheckSymbolExists)

set(PLATFORM_SUPPORTS_SHARED ON)
if(EMSCRIPTEN OR VITA OR PSP OR PS2 OR N3DS OR RISCOS)
  set(PLATFORM_SUPPORTS_SHARED OFF)
endif()

option(CMAKE_POSITION_INDEPENDENT_CODE "Build static libraries with -fPIC" ${PLATFORM_SUPPORTS_SHARED})
cmake_dependent_option(BUILD_SHARED_LIBS "Build the library as a shared library" ON PLATFORM_SUPPORTS_SHARED OFF)

cmake_dependent_option(SDLTTF_INSTALL "Enable SDL3_ttf install target" ${SDLTTF_ROOTPROJECT} "${sdl3ttf_install_enableable}" OFF)
cmake_dependent_option(SDLTTF_INSTALL_CPACK "Create binary SDL3_ttf archive using CPack" ${SDLTTF_ROOTPROJECT} "SDLTTF_INSTALL" OFF)
cmake_dependent_option(SDLTTF_INSTALL_MAN "Install man pages for SDL3_ttf" OFF "SDLTTF_INSTALL" OFF)
cmake_dependent_option(SDLTTF_RELOCATABLE "Create relocatable SDL_ttf package" "${MSVC}" SDLTTF_INSTALL OFF)
option(SDLTTF_VENDORED "Use vendored third-party libraries" ${vendored_default})
option(SDLTTF_WERROR "Treat warnings as errors" OFF)

option(SDLTTF_STRICT "Fail when a dependency could not be found" OFF)
set(find_package_strict_arg )
set(fatal_error "STATUS")
if(SDLTTF_STRICT)
    set(find_package_strict_arg "REQUIRED")
    set(fatal_error "FATAL_ERROR")
endif()

option(SDLTTF_SAMPLES "Build the SDL3_ttf sample program(s)" ${SDLTTF_ROOTPROJECT})
cmake_dependent_option(SDLTTF_SAMPLES_INSTALL "Install the SDL3_ttf sample program(s)" OFF "SDLTTF_SAMPLES;SDLTTF_INSTALL" OFF)

# For style consistency, create a SDLTTF_FREETYPE CMake variable. This variable is NOT configurable.
set(SDLTTF_FREETYPE ON)
set(SDLTTF_FREETYPE_VENDORED "${SDLTTF_VENDORED}")

set(HARFBUZZ_REQUIRED_VERSION "2.3.1")
option(SDLTTF_HARFBUZZ "Use harfbuzz to improve text shaping" ON)
set(SDLTTF_HARFBUZZ_VENDORED "${SDLTTF_VENDORED}")

option(SDLTTF_PLUTOSVG "Use plutosvg for color emoji support" ON)
set(SDLTTF_PLUTOSVG_VENDORED "${SDLTTF_VENDORED}")

# Save BUILD_SHARED_LIBS variable
set(SDLTTF_BUILD_SHARED_LIBS "${BUILD_SHARED_LIBS}")

set(sdl_required_components Headers)

if(SDLTTF_BUILD_SHARED_LIBS)
    set(sdl3_ttf_target_name SDL3_ttf-shared)
    set(sdl3_target_name SDL3::SDL3-shared)

    list(APPEND sdl_required_components SDL3-shared)
else()
    set(sdl3_ttf_target_name SDL3_ttf-static)
    set(sdl3_target_name SDL3::SDL3)
endif()

if(NOT TARGET SDL3::Headers OR NOT TARGET ${sdl3_target_name})
    find_package(SDL3 ${SDL_REQUIRED_VERSION} REQUIRED COMPONENTS ${sdl_required_components})
endif()

SDL_DetectTargetCPUArchitectures(SDL_CPU_NAMES)
SDL_DetectCMakePlatform()

# Enable large file support on 32-bit glibc, so that the vendored libraries
# can access files with large inode numbers
check_symbol_exists("__GLIBC__" "stdlib.h" LIBC_IS_GLIBC)
if (LIBC_IS_GLIBC AND CMAKE_SIZEOF_VOID_P EQUAL 4)
    add_compile_definitions(_FILE_OFFSET_BITS=64)
endif()

add_library(${sdl3_ttf_target_name}
    src/SDL_hashtable.c
    src/SDL_hashtable_ttf.c
    src/SDL_gpu_textengine.c
    src/SDL_renderer_textengine.c
    src/SDL_surface_textengine.c
    src/SDL_ttf.c
)
add_library(SDL3_ttf::${sdl3_ttf_target_name} ALIAS ${sdl3_ttf_target_name})
if(NOT TARGET SDL3_ttf::SDL3_ttf)
    add_library(SDL3_ttf::SDL3_ttf ALIAS ${sdl3_ttf_target_name})
endif()
target_include_directories(${sdl3_ttf_target_name}
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)
target_compile_definitions(${sdl3_ttf_target_name} PRIVATE
    BUILD_SDL
    SDL_BUILD_MAJOR_VERSION=${MAJOR_VERSION}
    SDL_BUILD_MINOR_VERSION=${MINOR_VERSION}
    SDL_BUILD_MICRO_VERSION=${MICRO_VERSION}
)
target_link_libraries(${sdl3_ttf_target_name} PUBLIC SDL3::Headers)
if(SDLTTF_BUILD_SHARED_LIBS)
    target_link_libraries(${sdl3_ttf_target_name} PRIVATE SDL3::SDL3-shared)
endif()
sdl_add_warning_options(${sdl3_ttf_target_name} WARNING_AS_ERROR ${SDLTTF_WERROR})
if ("c_std_99" IN_LIST CMAKE_C_COMPILE_FEATURES)
    target_compile_features(${sdl3_ttf_target_name} PRIVATE c_std_99)
else()
    message(WARNING "target_compile_features does not know c_std_99 for C compiler")
endif()
if(WIN32 AND SDLTTF_BUILD_SHARED_LIBS)
    target_sources(${sdl3_ttf_target_name} PRIVATE
        src/version.rc
    )
    if(MINGW)
        target_link_options(${sdl3_ttf_target_name} PRIVATE -static-libgcc)
    endif()
endif()
set_target_properties(${sdl3_ttf_target_name} PROPERTIES
    OUTPUT_NAME SDL3_ttf
    DEFINE_SYMBOL DLL_EXPORT
    EXPORT_NAME ${sdl3_ttf_target_name}
    C_VISIBILITY_PRESET "hidden"
)
if(NOT ANDROID)
    set_target_properties(${sdl3_ttf_target_name} PROPERTIES
        SOVERSION "${SO_VERSION_MAJOR}"
        VERSION "${SO_VERSION}"
    )
    if(APPLE)
        cmake_minimum_required(VERSION 3.17...3.28)
        set_target_properties(${sdl3_ttf_target_name} PROPERTIES
            MACHO_COMPATIBILITY_VERSION "${DYLIB_COMPAT_VERSION}"
            MACHO_CURRENT_VERSION "${DYLIB_CURRENT_VERSION}"
        )
    endif()
endif()
if(SDLTTF_BUILD_SHARED_LIBS)
    if(WIN32)
        set_target_properties(${sdl3_ttf_target_name} PROPERTIES
            PREFIX ""
        )
    endif()
else()
    if(MSVC)
        set_target_properties(${sdl3_ttf_target_name} PROPERTIES
            OUTPUT_NAME "SDL3_ttf-static"
        )
    endif()
endif()

if(SDLTTF_BUILD_SHARED_LIBS)
    # Use `Compatible Interface Properties` to ensure a shared SDL3_ttf is linked to a shared SDL3 library
    set_property(TARGET ${sdl3_ttf_target_name} PROPERTY INTERFACE_SDL3_SHARED ${SDLTTF_BUILD_SHARED_LIBS})
    set_property(TARGET ${sdl3_ttf_target_name} APPEND PROPERTY COMPATIBLE_INTERFACE_BOOL SDL3_SHARED)
endif()

if(SDLTTF_BUILD_SHARED_LIBS)
    sdl_target_link_options_no_undefined(${sdl3_ttf_target_name})
endif()

sdl_target_link_option_version_file(${sdl3_ttf_target_name} "${CMAKE_CURRENT_SOURCE_DIR}/src/SDL_ttf.sym")

if(SDLTTF_BUILD_SHARED_LIBS)
    # Make sure static library dependencies are built with -fPIC when building a shared SDL3_ttf
    set(CMAKE_POSITION_INDEPENDENT_CODE ON)
endif()

set(INSTALL_EXTRA_TARGETS)
set(PC_LIBS)
set(PC_REQUIRES)

# Build freetype and harfbuzz as a static library
set(BUILD_SHARED_LIBS OFF)

list(APPEND SDLTTF_BACKENDS HARFBUZZ)
set(SDLTTF_HARFBUZZ_ENABLED FALSE)
if(SDLTTF_HARFBUZZ)
    set(harfbuzz_sources)
    set(harfbuzz_link_libraries)
    set(harfbuzz_include_directories)
    if(SDLTTF_HARFBUZZ_VENDORED)
        message(STATUS "${PROJECT_NAME}: Using vendored harfbuzz library")
        # HB_BUILD_SUBSET variable is used by harfbuzz
        set(HB_BUILD_SUBSET OFF CACHE BOOL "build harfbuzz-subset" FORCE)
        # HB_BUILD_UTILS variable is used by harfbuzz
        set(HB_BUILD_UTILS OFF CACHE BOOL "harfbuzz build utils" FORCE)
        # SKIP_INSTALL_LIBRARIES variable is used by harfbuzz
        set(SKIP_INSTALL_LIBRARIES ON CACHE BOOL "harfbuzz install option" FORCE)
        # HB_HAVE_FREETYPE variable is used by harfbuzz
        set(HB_HAVE_FREETYPE ${SDLTTF_FREETYPE} CACHE BOOL "harfbuzz freetype helpers" FORCE)
        # target-specific harfbuzz backends :
        if(APPLE)
            # Minimum version for $<LINK_LIBRARY:feature,library-list>
            cmake_minimum_required(VERSION 3.24)
            # HB_HAVE_CORETEXT variable is used by harfbuzz
            set(HB_HAVE_CORETEXT ON CACHE BOOL "harfbuzz coretext backend" FORCE)
        endif()
        if(WIN32)
            # HB_HAVE_UNISCRIBE variable is used by harfbuzz
            set(HB_HAVE_UNISCRIBE ON CACHE BOOL "harfbuzz uniscribe backend" FORCE)
            # HB_HAVE_GDI variable is used by harfbuzz
            set(HB_HAVE_GDI ON CACHE BOOL "harfbuzz windows backend" FORCE)
        endif()
        ## HACK: HACK: These fail detection, we rely on our own vendored FreeType having them ##
        set(HAVE_FT_GET_VAR_BLEND_COORDINATES 1 CACHE BOOL "FT_Get_Var_Blend_Coordinates" FORCE)
        set(HAVE_FT_SET_VAR_BLEND_COORDINATES 1 CACHE BOOL "FT_Set_Var_Blend_Coordinates" FORCE)
        set(HAVE_FT_DONE_MM_VAR 1 CACHE BOOL "FT_Done_MM_Var" FORCE)
        set(HAVE_FT_GET_TRANSFORM 1 CACHE BOOL "FT_Get_Transform" FORCE)
        sdl_check_project_in_subfolder(external/harfbuzz harfbuzz SDLTTF_VENDORED)
        add_subdirectory(external/harfbuzz EXCLUDE_FROM_ALL)
        # harfbuzz is a c++ project, enable c++ here to ensure linking to the c++ standard library.
        enable_language(CXX)
        if(NOT TARGET harfbuzz::harfbuzz)
            add_library(harfbuzz::harfbuzz ALIAS harfbuzz)
        endif()
        set(SDLTTF_HARFBUZZ_ENABLED TRUE)
        if(SDLTTF_BUILD_SHARED_LIBS)
            set(harfbuzz_link_libraries harfbuzz::harfbuzz)
        else()
            set(harfbuzz_sources $<TARGET_OBJECTS:harfbuzz::harfbuzz>)
            set(harfbuzz_include_directories $<TARGET_PROPERTY:harfbuzz::harfbuzz,INTERFACE_INCLUDE_DIRECTORIES>)
            if(WIN32)
                # for uniscribe and gdi backends :
                list(APPEND harfbuzz_link_libraries usp10 gdi32 rpcrt4)
                list(APPEND PC_LIBS -lusp10 -lgdi32 -lrpcrt4)
            elseif(APPLE)
                # for coretext backend :
                list(APPEND harfbuzz_link_libraries "$<LINK_LIBRARY:FRAMEWORK,CoreText>")
                list(APPEND harfbuzz_link_libraries "$<LINK_LIBRARY:FRAMEWORK,CoreGraphics>")
                list(APPEND harfbuzz_link_libraries "$<LINK_LIBRARY:FRAMEWORK,CoreFoundation>")
                list(APPEND PC_LIBS "-Wl,-framework,CoreText")
                list(APPEND PC_LIBS "-Wl,-framework,CoreGraphics")

=== cmake/test/CMakeLists.txt ===
# This cmake build script is meant for verifying the various CMake configuration script.

cmake_minimum_required(VERSION 3.12...3.28)
project(sdl_test LANGUAGES C)

cmake_policy(SET CMP0074 NEW)

# Override CMAKE_FIND_ROOT_PATH_MODE to allow search for SDL3_ttf outside of sysroot
set(CMAKE_FIND_ROOT_PATH_MODE_PACKAGE NEVER)

include(FeatureSummary)

option(TEST_SHARED "Test linking to shared SDL3_ttf library" ON)
add_feature_info("TEST_SHARED" TEST_SHARED "Test linking with shared library")

option(TEST_STATIC "Test linking to static SDL3_ttf libary" ON)
add_feature_info("TEST_STATIC" TEST_STATIC "Test linking with static library")

if(ANDROID)
    macro(add_executable NAME)
        set(args ${ARGN})
        list(REMOVE_ITEM args WIN32)
        add_library(${NAME} SHARED ${args})
        unset(args)
    endmacro()
endif()

if(TEST_SHARED)
    find_package(SDL3 REQUIRED CONFIG COMPONENTS SDL3)
    find_package(SDL3_ttf REQUIRED CONFIG)
    add_executable(main_shared main.c)
    target_link_libraries(main_shared PRIVATE SDL3_ttf::SDL3_ttf-shared SDL3::SDL3)
endif()

if(TEST_STATIC)
    find_package(SDL3 REQUIRED CONFIG COMPONENTS SDL3)
    # some static vendored libraries use c++ (enable CXX after `find_package` might show a warning)
    enable_language(CXX)
    find_package(SDL3_ttf REQUIRED CONFIG)
    add_executable(main_static main.c)
    target_link_libraries(main_static PRIVATE SDL3_ttf::SDL3_ttf-static SDL3::SDL3)
endif()

feature_summary(WHAT ALL)

=== build-scripts/pkg-support/mingw/Makefile ===
#
# Makefile for installing the mingw32 version of the SDL_ttf library

DESTDIR = /usr/local
ARCHITECTURES := i686-w64-mingw32 x86_64-w64-mingw32

default:
	@echo "Run \"make install-i686\" to install 32-bit"
	@echo "Run \"make install-x86_64\" to install 64-bit"
	@echo "Run \"make install-all\" to install both"
	@echo "Add DESTDIR=/custom/path to change the destination folder"

install:
	@if test -d $(ARCH) && test -d $(DESTDIR); then \
		(cd $(ARCH) && cp -rv bin include lib share $(DESTDIR)/); \
	else \
		echo "*** ERROR: $(ARCH) or $(DESTDIR) does not exist!"; \
		exit 1; \
	fi

install-i686:
	$(MAKE) install ARCH=i686-w64-mingw32

install-x86_64:
	$(MAKE) install ARCH=x86_64-w64-mingw32

install-all:
	@if test -d $(DESTDIR); then \
		mkdir -p $(DESTDIR)/cmake; \
		cp -rv cmake/* $(DESTDIR)/cmake; \
		for arch in $(ARCHITECTURES); do \
			$(MAKE) install ARCH=$$arch DESTDIR=$(DESTDIR)/$$arch; \
		done \
	else \
		echo "*** ERROR: $(DESTDIR) does not exist!"; \
		exit 1; \
	fi

.PHONY: default install install-i686 install-x86_64 install-all

## libsdl3-ttf 3.1.0+ds

=== debian/changelog ===
libsdl3-ttf (3.1.0+ds-1) unstable; urgency=medium

  * New upstream preview release
  * d/control: Increase dependency on libharfbuzz-dev as per CMakelists.txt
  * d/copyright, d/clean: Exclude DXIL and MSL shader files
  * d/clean, d/build-shaders.sh: Rebuild HLSL shaders using glslang
  * d/p/debian/examples-Stub-out-support-for-Windows-and-macOS-shader-fo.patch:
    Drop patch, solved differently in build-shaders.sh
  * d/rules: Enable strict handling of dependencies
  * d/rules: Disable colour emoji (plutosvg) for now.
    plutosvg and its dependency plutovg are not currently packaged in
    Debian, so enabling this feature would require either packaging
    them separately, or repacking SDL_ttf to include upstream's vendored
    copies.
  * d/libsdl3-ttf0.symbols: Increase minimum required version to 3.1.0.
    This is the first version that is intended to be ABI-stable, so any
    dependent package should be generating a dependency on this version
    and not on older snapshots.
    Note that ABI of TTF_Direction and TTF_SubStringFlags in this version
    is not the same as in the snapshots in experimental.
  * d/tests/libsdl3-ttf-dev: Adjust to new command-line syntax in showfont
  * d/watch: Watch for upstream preview releases
  * Upload to unstable, now that we have a preview release.
    This is not targeted for trixie at this stage: the first version
    suitable for inclusion in trixie is expected to be 3.2.0
    (see #1095059).

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Feb 2025 18:12:18 +0000

libsdl3-ttf (3~git20250124~a7040ba+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/*.docs: README.txt was renamed to README.md
  * d/copyright: Exclude docs/hello.c, which contains a hex-dump of a
    third-party font without obvious source code

 -- Simon McVittie <smcv@debian.org>  Fri, 24 Jan 2025 11:57:08 +0000

libsdl3-ttf (3~git20250111~baf2e57+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.10
  * d/salsa-ci.yml: Add
  * d/copyright:
    Convenience copy of Noto Sans Mono no longer needs to be excluded
  * d/p/testgputext-Don-t-crash-if-the-desired-font-cannot-be-fou.patch,
    d/p/testgputext-Allow-a-font-filename-to-be-given-on-the-comm.patch,
    d/p/debian/build-Create-a-symlink-to-packaged-Noto-Sans-instead-of-v.patch:
    Remove patches, applied or obsoleted upstream

 -- Simon McVittie <smcv@debian.org>  Sun, 19 Jan 2025 17:26:09 +0000

libsdl3-ttf (3~git20250107~2822076+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.8
  * d/copyright: Update
  * d/libsdl3-ttf0.symbols: Update
  * d/libsdl3-ttf-tests.install: Install new testgputext example
  * d/p/testgputext-Don-t-crash-if-the-desired-font-cannot-be-fou.patch,
    d/p/testgputext-Allow-a-font-filename-to-be-given-on-the-comm.patch:
    Add proposed patches to make testgputext more useful as a manual test
  * d/rules: Regenerate shaders at build-time
  * d/copyright,
    d/p/debian/examples-Stub-out-support-for-Windows-and-macOS-shader-fo.patch:
    Exclude Windows and macOS shader headers, which cannot be regenerated
    by glslang-tools and are not needed by any Debian architectures
  * d/copyright,
    d/p/debian/build-Create-a-symlink-to-packaged-Noto-Sans-instead-of-v.patch:
    Exclude convenience copy of Noto Sans Mono

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Jan 2025 17:36:49 +0000

libsdl3-ttf (3~git20241102~f20defe+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.6
  * Bump SDL3 dependency to 3.1.6 for new APIs used
  * d/libsdl3-ttf-dev.install: Install all headers
  * d/libsdl3-ttf0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 04 Nov 2024 19:14:18 +0000

libsdl3-ttf (3~git20241004~5992548+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL3 prerelease 3.1.3
  * d/copyright: Update
  * Update symbols file (many ABI breaks)
  * d/tests/libsdl3-ttf-dev: Update list of sources for showfont demo

 -- Simon McVittie <smcv@debian.org>  Fri, 04 Oct 2024 18:31:41 +0100

libsdl3-ttf (3~git20240906~8cb1095+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/copyright: Update file exclusion rules
  * Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Tue, 17 Sep 2024 21:08:28 +0100

libsdl3-ttf (3~git20240901~d4b137f+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/rules: Update build option names
  * Standards-Version: 4.7.0 (no changes required)
  * Add proposed patch to build successfully against latest SDL3 snapshot

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 21:29:36 +0100

libsdl3-ttf (3~git20240717~5b6171c+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/control: (Build-)Depend on a corresponding libsdl3 snapshot
  * d/libsdl3-ttf0.symbols: Update
  * Update list of man pages to install

 -- Simon McVittie <smcv@debian.org>  Tue, 30 Jul 2024 17:01:59 +0100

libsdl3-ttf (3~git20240508~1ee075d+ds-1) experimental; urgency=medium

  * New upstream snapshot, corresponding to SDL 3.1.2
    - Depend on a corresponding SDL3 prerelease
  * d/rules: Build man pages if and only if we are building -doc package

 -- Simon McVittie <smcv@debian.org>  Thu, 20 Jun 2024 14:37:29 +0100

libsdl3-ttf (3~git20240320~6e260a2+ds-1) experimental; urgency=medium

  * New upstream snapshot
    - Depend on a corresponding SDL3 prerelease
  * d/libsdl3-ttf0.symbols: Update (including upstream ABI breaks)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Mar 2024 18:43:59 +0000

libsdl3-ttf (3~git20240121~f401d29+ds-1) experimental; urgency=medium

  * New upstream snapshot
  * d/libsdl3-ttf0.symbols: Update

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 12:36:18 +0000

libsdl3-ttf (3~git20240115~c61566a+ds-1) experimental; urgency=medium



=== debian/control ===
Source: libsdl3-ttf
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               fonts-noto-mono <!nocheck> <!noinsttest>,
               glslang-tools,
               libfreetype-dev,
               libharfbuzz-dev (>= 2.3.1),
               libsdl3-dev (>= 3.1.6~),
               pkgconf,
               xxd,
Homepage: https://www.libsdl.org/projects/SDL_ttf/
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-ttf
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-ttf.git


Package: libsdl3-ttf0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: TrueType Font library for Simple DirectMedia Layer 3, libraries
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the shared library.

Package: libsdl3-ttf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libc6-dev,
         libfreetype-dev,
         libharfbuzz-dev,
         libsdl3-dev (>= 3.1.6~),
         libsdl3-ttf0 (= ${binary:Version})
Description: TrueType Font library for Simple DirectMedia Layer 3, development files
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the development files.

Package: libsdl3-ttf-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
Description: TrueType Font library for Simple DirectMedia Layer 3 - documentation
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains the reference manual and examples.

Package: libsdl3-ttf-tests
Build-Profiles: <!noinsttest>
Architecture: any
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libsdl3-ttf0 (= ${binary:Version}),
Description: TrueType Font library for Simple DirectMedia Layer 3 - tests
 Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to
 render text in SDL applications.
 .
 This package contains manual tests. Automated tests will be added to this
 package if they become available upstream.

## libsdl3-ttf 3.1.2+ds

=== debian/changelog ===
libsdl3-ttf (3.1.2+ds-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * tests: switch from fonts-cantarell to fonts-freefont-otf

  [ Simon McVittie ]
  * New upstream preview release
  * d/watch.git: Update
  * d/libsdl3-ttf0.symbols: Update
  * d/control: Require SDL 3.2.0 stable release
  * d/control, d/copyright: Update upstream project URLs

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Feb 2025 16:46:56 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                glslang-tools,
                libfreetype-dev,
                libharfbuzz-dev (>= 2.3.1),
-               libsdl3-dev (>= 3.1.6~),
+               libsdl3-dev (>= 3.2.0),
                pkgconf,
                xxd,
-Homepage: https://www.libsdl.org/projects/SDL_ttf/
+Homepage: https://github.com/libsdl-org/SDL_ttf
 Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl3-ttf
 Vcs-Git: https://salsa.debian.org/sdl-team/libsdl3-ttf.git
 
@@ -39,7 +39,7 @@
          libc6-dev,
          libfreetype-dev,
          libharfbuzz-dev,
-         libsdl3-dev (>= 3.1.6~),
+         libsdl3-dev (>= 3.2.0),
          libsdl3-ttf0 (= ${binary:Version})
 Description: TrueType Font library for Simple DirectMedia Layer 3, development files
  Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to

## libsdl3-ttf 3.2.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                glslang-tools,
                libfreetype-dev,
                libharfbuzz-dev (>= 2.3.1),
-               libsdl3-dev (>= 3.2.0),
+               libsdl3-dev (>= 3.2.6),
                pkgconf,
                xxd,
 Homepage: https://github.com/libsdl-org/SDL_ttf
@@ -39,7 +39,7 @@
          libc6-dev,
          libfreetype-dev,
          libharfbuzz-dev,
-         libsdl3-dev (>= 3.2.0),
+         libsdl3-dev (>= 3.2.6),
          libsdl3-ttf0 (= ${binary:Version})
 Description: TrueType Font library for Simple DirectMedia Layer 3, development files
  Wrapper around FreeType 2.0 library, making possible to use TrueType fonts to

## libsdl3-ttf 3.2.0+ds

=== debian/changelog ===
libsdl3-ttf (3.2.0+ds-1) unstable; urgency=medium

  * First upstream stable release (Closes: #1095059)
  * Depend on SDL 3.2.6 as per CMakeLists.txt
  * d/libsdl3-ttf0.symbols: Bump version to 3.2.0 for all symbols.
    Let's make sure all dependent packages that were compiled against
    the stable release pick up a dependency on the stable release.

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Mar 2025 11:03:17 +0000

## libsdl3-ttf 3.2.2+ds

=== debian/changelog ===
libsdl3-ttf (3.2.2+ds-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update file exclusions
  * d/libsdl3-ttf0.symbols: Update
  * d/p/Updated-the-version-that-TTF_GetFontWeight-became-availab.patch,
    d/p/Clarified-that-you-should-keep-the-IOStream-opened-until-.patch:
    Add some post-release documentation fixes from upstream
  * Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Apr 2025 14:51:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: cmake,
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

confflags := -DSDLTTF_STRICT=ON

confflags += -DSDLTTF_HARFBUZZ=ON
confflags += -DSDLTTF_PLUTOSVG=OFF
confflags += -DSDLTTF_VENDORED=OFF
confflags += -DSDLTTF_WERROR=OFF

ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS))$(filter %-tests,$(built_binaries)),nocheck)
confflags += -DSDLTTF_TESTS=ON
endif

ifneq ($(filter %-tests,$(built_binaries)),)
confflags += -DSDLTTF_SAMPLES=ON
confflags += -DSDLTTF_SAMPLES_INSTALL=ON
confflags += -DSDLTTF_TESTS_INSTALL=ON
endif

ifneq ($(filter %-doc,$(built_binaries)),)
confflags += -DSDLTTF_INSTALL_MAN=ON
endif

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	cd examples/testgputext/shaders && LC_ALL=C bash -ex $(CURDIR)/debian/build-shaders.sh
	dh_auto_configure -- $(confflags)

override_dh_installchangelogs:
	dh_installchangelogs -- CHANGES.txt

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(built_binaries)),)
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
  build-essential,
  cmake,
  file,
- fonts-cantarell,
+ fonts-freefont-otf,
  libsdl3-ttf-dev,
  ninja-build,
  pkgconf,

=== debian/watch ===
version=4
# Upstream releases official source tarballs, so we use
# those in preference to git tags
opts="\
    compression=xz, \
    dversionmangle=s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//, \
    downloadurlmangle=s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/SDL3_ttf-$2.tar.gz#, \
    filenamemangle=s#(?:prerelease|preview|release)-?@ANY_VERSION@#SDL3_ttf-$1.tar.gz#, \
    pgpmode=none, \
    repack, \
    repacksuffix=+ds" \
https://github.com/libsdl-org/SDL_ttf/tags .*/releases/tag/(?:prerelease|preview|release)-?@ANY_VERSION@
